/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_NIVELPRODSEG                                             */
/* Tabela : NIVELPRODSEG                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 23/01/2004 - Newton N. Santos                                              */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_NIVELPRODSEG
BEFORE INSERT OR UPDATE OR DELETE
ON NIVELPRODSEG FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUNSEG := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPRODUTO,0) <> NVL(:NEW.CDPRODUTO,0)) OR
         (NVL(:OLD.CDSEGMER,0)  <> NVL(:NEW.CDSEGMER,0)) THEN
         :NEW.DTULTATUNSEG := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('NIVELPRODSEG', '', 'CDSEGMER='||:OLD.CDSEGMER||';CDPRODUTO='||:OLD.CDPRODUTO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE NIVELPRODSEG MODIFY DTULTATUNSEG DEFAULT SYSDATE
/
